import type * as Types from "./types";
export declare function makeFilename(name: string, extension?: string): string;
export declare const makeTimer: (milliseconds: number) => Promise<void>;
export declare function removeLibraries(settings: Types.SolcSettings, alsoRemoveCompilationTarget?: boolean): Types.SolcSettings;
export declare class InvalidNetworkError extends Error {
    networkId: number;
    fetcherName: string;
    constructor(networkId: number, fetcherName: string);
}
